Bug 112061 - [CI][SHARDS]igt@i915_selftest@mock_requests - incomplete - GEM_BUG_ON(IS_ERR(ce))
Summary: [CI][SHARDS]igt@i915_selftest@mock_requests - incomplete - GEM_BUG_ON(IS_ERR(...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: not set not set
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-18 12:40 UTC by Lakshmi
Modified: 2019-10-19 07:13 UTC (History)
1 user (show)

See Also:
i915 platform: SKL, TGL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-10-18 12:40:42 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7125/shard-skl2/igt@i915_selftest@mock_requests.html
BUG: sleeping function called from invalid context at kernel/sched/completion.c:99
<3> [1670.263924] in_atomic(): 0, irqs_disabled(): 0, non_block: 0, pid: 3920, name: i915_selftest
<4> [1670.264019] INFO: lockdep is turned off.
<3> [1670.264078] Preemption disabled at:
<4> [1670.264095] [<0000000000000000>] 0x0
<4> [1670.264206] CPU: 3 PID: 3920 Comm: i915_selftest Tainted: G     UD           5.4.0-rc3-CI-CI_DRM_7125+ #1
<4> [1670.264308] Hardware name: Google Caroline/Caroline, BIOS MrChromebox 08/27/2018
<4> [1670.264383] Call Trace:
<4> [1670.264438]  dump_stack+0x67/0x9b
<4> [1670.264490]  ___might_sleep+0x178/0x260
<4> [1670.264553]  wait_for_completion+0x37/0x1a0
<4> [1670.264624]  virt_efi_query_variable_info+0x161/0x1b0
<4> [1670.264693]  efi_query_variable_store+0xb3/0x1a0
<4> [1670.264774]  ? efivar_entry_set_safe+0x19c/0x220
<4> [1670.264832]  ? efi_delete_dummy_variable+0x90/0x90
<4> [1670.264909]  efivar_entry_set_safe+0x19c/0x220
<4> [1670.265003]  ? efi_pstore_write+0x10b/0x150
<4> [1670.265075]  efi_pstore_write+0x10b/0x150
<4> [1670.265190]  pstore_dump+0x127/0x340
<4> [1670.265291]  kmsg_dump+0x87/0x1c0
<4> [1670.265351]  oops_end+0x3e/0x90
<4> [1670.265404]  do_trap+0x80/0x100
<4> [1670.266008]  ? igt_request_rewind+0x6eb/0x810 [i915]
<4> [1670.266092]  do_invalid_op+0x23/0x30
<4> [1670.266670]  ? igt_request_rewind+0x6eb/0x810 [i915]
<4> [1670.266751]  invalid_op+0x23/0x30
<4> [1670.267319] RIP: 0010:igt_request_rewind+0x6eb/0x810 [i915]
<4> [1670.267399] Code: 14 5c e5 e0 48 8b 35 1c 1c 1e 00 49 c7 c0 5c d3 41 a0 b9 c7 00 00 00 48 c7 c2 60 f7 3b a0 48 c7 c7 86 53 2d a0 e8 e5 57 ec e0 <0f> 0b 48 c7 c1 5c d3 41 a0 ba d5 00 00 00 48 c7 c6 60 f7 3b a0 48
<4> [1670.267574] RSP: 0018:ffffc900003cfb68 EFLAGS: 00010286
<4> [1670.267638] RAX: 0000000000000009 RBX: ffffffffffffffea RCX: 0000000000000000
<4> [1670.267709] RDX: 0000000000000001 RSI: 0000000000000008 RDI: ffff888179b1f000
<4> [1670.267780] RBP: ffffc900003cfba8 R08: 00000000000d970d R09: ffff88815468a000
<4> [1670.267850] R10: 00000000ac52aab2 R11: ffff888179b1f000 R12: ffffffffa03bf7f0
<4> [1670.267921] R13: ffff88815d240978 R14: ffff88817993b800 R15: ffffffffffffffea
<4> [1670.268536]  ? igt_request_rewind+0x6eb/0x810 [i915]
<4> [1670.269153]  __i915_subtests+0xb8/0x210 [i915]
<4> [1670.269742]  ? i915_live_selftests+0x60/0x60 [i915]
<4> [1670.270312]  ? __i915_nop_setup+0x10/0x10 [i915]
<4> [1670.270906]  i915_request_mock_selftests+0x66/0x80 [i915]
<4> [1670.271494]  __run_selftests+0x134/0x170 [i915]
<4> [1670.271574]  ? 0xffffffffa0537000
<4> [1670.272133]  i915_mock_selftests+0x27/0x50 [i915]
<4> [1670.272615]  i915_init+0x12/0x73 [i915]
<4> [1670.272683]  ? 0xffffffffa0537000
<4> [1670.272738]  do_one_initcall+0x58/0x2ff
<4> [1670.272803]  ? rcu_read_lock_sched_held+0x4d/0x80
<4> [1670.272863]  ? kmem_cache_alloc_trace+0x290/0x2c0
<4> [1670.272922]  do_init_module+0x56/0x1f8
<4> [1670.272966]  load_module+0x243e/0x29f0
<4> [1670.273039]  ? __do_sys_finit_module+0xe9/0x110
<4> [1670.273078]  __do_sys_finit_module+0xe9/0x110
<4> [1670.273137]  do_syscall_64+0x4f/0x210
<4> [1670.273178]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4> [1670.273224] RIP: 0033:0x7fa9d5162839
<4> [1670.273268] Code: 00 f3 c3 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 40 00 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 1f f6 2c 00 f7 d8 64 89 01 48
<4> [1670.273408] RSP: 002b:00007ffd346fd968 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
<4> [1670.273481] RAX: ffffffffffffffda RBX: 0000562fdd51ad90 RCX: 00007fa9d5162839
<4> [1670.273535] RDX: 0000000000000000 RSI: 0000562fdd525800 RDI: 0000000000000006
<4> [1670.273583] RBP: 0000562fdd525800 R08: 0000000000000004 R09: 0000562fdd51f530
<4> [1670.273632] R10: 00007ffd346fdab0 R11: 0000000000000246 R12: 0000000000000000
<4> [1670.273680] R13: 0000562fdd517000 R14: 0000000000000020 R15: 0000000000000047
Comment 2 CI Bug Log 2019-10-18 13:24:16 UTC
A CI Bug Log filter associated to this bug has been updated:

{- igt@i915_selftest@mock_requests - incomplete - BUG: sleeping function called from invalid context at kernel/sched/completion.c:99  -}
{+ igt@i915_selftest@mock_requests - incomplete - GEM_BUG_ON(IS_ERR(ce)) +}


  No new failures caught with the new filter
Comment 3 Chris Wilson 2019-10-18 14:03:49 UTC
commit bcce7d90d120cddc726d5c98aa46188daef141f3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 18 14:07:03 2019 +0100

    drm/i915/selftests: Add the mock engine to the gt->engine[]
    
    Remember to include the newly created mock engine in the list of
    available engines inside the gt.
    
    Fixes: a50134b1983b ("drm/i915: Make for_each_engine_masked work on intel_gt")
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Reviewed-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
    Link: https://patchwork.freedesktop.org/patch/msgid/20191018130703.31125-1-chris@chris-wilson.co.uk
Comment 4 CI Bug Log 2019-10-18 14:10:37 UTC
A CI Bug Log filter associated to this bug has been updated:

{- igt@i915_selftest@mock_requests - incomplete - GEM_BUG_ON(IS_ERR(ce)) -}
{+ APL SKL igt@i915_selftest@mock_requests - incomplete - GEM_BUG_ON(IS_ERR(ce)) +}


  No new failures caught with the new filter
Comment 5 CI Bug Log 2019-10-18 14:11:54 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* APL: igt@runner@aborted - skip - Previous test: i915_selftest (mock_requests)
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_14876/shard-apl8/igt@runner@aborted.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7126/shard-apl4/igt@runner@aborted.html
Comment 6 CI Bug Log 2019-10-18 19:58:57 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL SKL igt@i915_selftest@mock_requests - incomplete - GEM_BUG_ON(IS_ERR(ce)) -}
{+ APL SKL igt@i915_selftest@mock_requests - incomplete - GEM_BUG_ON(IS_ERR(ce)) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7128/shard-tglb8/igt@i915_selftest@mock_requests.html
Comment 7 CI Bug Log 2019-10-18 19:59:32 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL SKL igt@i915_selftest@mock_requests - incomplete - GEM_BUG_ON(IS_ERR(ce)) -}
{+ TGL APL SKL igt@i915_selftest@mock_requests - incomplete - GEM_BUG_ON(IS_ERR(ce)) +}


  No new failures caught with the new filter
Comment 8 CI Bug Log 2019-10-19 07:13:43 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL: igt@runner@aborted - skip - Previous test: i915_selftest (mock_requests) -}
{+ TGL APL: igt@runner@aborted - skip - Previous test: i915_selftest (mock_requests) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_7128/shard-tglb8/igt@runner@aborted.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.